tigase.jaxmpp.core.client.xmpp.modules.flexible_offline

## Class FlexibleOfflineMessageRetrieval.Item

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.Item
  - - tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.Item

- Enclosing class:
    FlexibleOfflineMessageRetrieval

      public static class FlexibleOfflineMessageRetrieval.Item
      extends DiscoveryModule.Item

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.MSG_TYPE` | `getType()`
    `void` | `setType(tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.MSG_TYPE type)`
    `String` | `toString()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.Item

      `getJid, getName, getNode, setJid, setName, setNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

  - ### Method Detail

    - #### getType

          public tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.MSG_TYPE getType()

    - #### setType

          public void setType(tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.MSG_TYPE type)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DiscoveryModule.Item`

Copyright © 2006–2020 Tigase. All rights reserved.